package Monkey::Patch::Handle::Class;
BEGIN {
  $Monkey::Patch::Handle::Class::VERSION = '0.03';
}
use strict;
use warnings;

use base 'Monkey::Patch::Handle';
use SUPER;

sub call_default {
    my $self  = shift;
    my $class = $self->{package};
    my ($super) = SUPER::find_parent($class, $self->{subname});
    goto &$super if $super;
    return;
}

1;

=head1 NAME

Monkey::Patch::Handle::Class - Handle for monkey-patching classes

=head1 DESCRIPTION

Monkey::Patch::Handle::Class provides the default Monkey::Patch::Handle
for monkey-patching a whole class.

You should never need to use this directly, so read L(Monkey::Patch)
instead.

=pod

=begin Pod::Coverage

.*

=end Pod::Coverage
